Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1081)

Unified Diff: scripts/make_n_copy_data.sh

Issue 1051193002: Update tz db to 2015b (Closed) Base URL: https://chromium.googlesource.com/chromium/deps/icu.git@master
Patch Set: quote for $0 Created 5 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « android/patch_locale.sh ('k') | scripts/update_tz.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/make_n_copy_data.sh
diff --git a/scripts/make_n_copy_data.sh b/scripts/make_n_copy_data.sh
new file mode 100755
index 0000000000000000000000000000000000000000..57e9a04752ca3e1b1c54213715834974856e56dd
--- /dev/null
+++ b/scripts/make_n_copy_data.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright (c) 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+TOPSRC=$(egrep '^top_srcdir =' Makefile | cut -d ' ' -f 3)
+echo $TOPSRC
+
+cd data
+make
+
+# A work-around for http://bugs.icu-project.org/trac/ticket/10570
+sed -i 's/css3transform.res/root.res/' out/tmp/icudata.lst
+make
+
+if [ $? ]; then
+ echo "Failed to make data";
+ exit 1;
+fi
+
+cp out/tmp/icudt[5-9][0-9]l.dat "${TOPSRC}/data/in/icudtl.dat"
+cp out/tmp/icudt[5-9][0-9]l_dat.S "${TOPSRC}/../linux/icudtl_dat.S"
+
+cd "${TOPSRC}/../scripts"
+sh make_mac_assembly.sh
« no previous file with comments | « android/patch_locale.sh ('k') | scripts/update_tz.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698